View Issue Details

IDProjectCategoryView StatusLast Update
0018096MediaMonkey 5Now Playingpublic2021-10-15 21:08
Reporterpeke Assigned To 
PriorityurgentSeveritytweakReproducibilityN/A
Status closedResolutionfixed 
Product Version5.0 
Target Version5.0.2Fixed in Version5.0.2 
Summary0018096: Playing: # column isn't displayed in the List view
Description1) Now Playing in all previous version of MM had forced # column and in MM5 (Playing -> List view) is disabled by default.

2) After changing sort order on static playlist there is no "Update Play order" in Context menu or Right click on Columns Headers (NEW feature)

3) Unlike for normal playlists changing Sort order permanently changes Play order for Now Playing. We should add ability that Now playing (eg. Playing -> List view) have option to behave as other playlists eg. switch that changing sort (in order to check if some track/artist in in list) do not update play order automatically but user needs to update Play order thru context menu (Very useful for DJs). Even that was same in MM4 Currently User needs to use ⋮ -> Undo from PLaying in right panel (if visible) to undo resort, I would suggest that we make this possible.
TagsNo tags attached.
Fixed in build2509

Relationships

related to 0016622 assignedmichal Now Playing: Unexpected behavior when Changing Sort order 
related to 0018320 closedLudek Playlists: Shortcut and Context menu to update playlist order is missing 

Activities

rusty

2021-10-13 01:10

administrator   ~0065142

Last edited: 2021-10-13 01:34

View 3 revisions

This issue is a mix of Playing and Playlist issues.

I'll leave this issue open to track issue 1) -- Playing [List] view should include the # column by default as the first column. This should be resolved in 5.0.2.

Issues 2) 'Save new order' for static playlists is implemented as a button. This is unrelated to Playing, so I've moved this to 0016084 and made mention of the fact that this (and other playlist-related commands) might be useful in a context menu as well.

Issue 3) is already covered at 0016622

Ludek

2021-10-13 08:56

developer   ~0065148

Note that 2) is already implemented, it was implemented in course of 0018320

michal

2021-10-14 15:19

developer   ~0065202

1) fixed in build 2509. # column is first by default (in clean installations or after deleting persistent json), can be moved or removed.

peke

2021-10-15 21:08

developer   ~0065250

Verified # column behavior after clean portable install and by deleting persistent.json.